Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode
Class _AdvancedRobot

    java.lang.Object
      robocode._RobotBase
          robocode._Robot
              robocode.Robot
                  robocode._AdvancedRobot

All Implemented Interfaces:
  Runnable, IBasicEvents, IBasicRobot, IInteractiveEvents, IInteractiveRobot, IPaintEvents, IPaintRobot

Direct Known Subclasses:
  _AdvancedRadiansRobot

    public class _AdvancedRobot

extends Robot

This class is used by the system, as well as being a placeholder for all deprecated (meaning, you should not use them) calls for AdvancedRobot.

You should create a `AdvancedRobot` instead.

There is no guarantee that this class will exist in future versions of Robocode.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor), Pavel Savara (contributor)
See Also:
  `AdvancedRobot`

Field Summary

Fields inherited from class robocode._RobotBase
`out`

Constructor Summary
`protected` | `_AdvancedRobot()`

Method Summary
`void` | `endTurn()` Deprecated. Use `execute` instead.
`double` | `getGunHeadingDegrees()` Deprecated. Use `getGunHeading()` instead.
`double` | `getHeadingDegrees()` Deprecated. Use `getHeading()` instead.
`int` | `getMaxWaitCount()` Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.
`double` | `getRadarHeadingDegrees()` Deprecated. Use `getRadarHeading()` instead.
`int` | `getWaitCount()` Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.
`void` | `setTurnGunLeftDegrees(double degrees)` Deprecated. Use `setTurnGunLeft` instead.
`void` | `setTurnGunRightDegrees(double degrees)` Deprecated. Use `setTurnGunRight` instead.
`void` | `setTurnLeftDegrees(double degrees)` Deprecated. Use `setTurnLeft(double)` instead.
`void` | `setTurnRadarLeftDegrees(double degrees)` Deprecated. Use `setTurnRadarLeft(double)` instead.
`void` | `setTurnRadarRightDegrees(double degrees)` Deprecated. Use `setTurnRadarRight` instead.
`void` | `setTurnRightDegrees(double degrees)` Deprecated. Use `setTurnRight(double)` instead.
`void` | `turnGunLeftDegrees(double degrees)` Deprecated. Use `turnGunLeft` instead.
`void` | `turnGunRightDegrees(double degrees)` Deprecated. Use `turnGunRight` instead.
`void` | `turnLeftDegrees(double degrees)` Deprecated. Use `turnLeft(double)` instead.
`void` | `turnRadarLeftDegrees(double degrees)` Deprecated. Use `turnRadarLeft` instead.
`void` | `turnRadarRightDegrees(double degrees)` Deprecated. Use `turnRadarRight` instead.
`void` | `turnRightDegrees(double degrees)` Deprecated. Use `turnRight(double)` instead.

Methods inherited from class robocode.Robot
`ahead, back, doNothing, finalize, fire, fireBullet, getBasicEventListener, getBattleFieldHeight, getBattleFieldWidth, getEnergy, getGunCoolingRate, getGunHeading, getGunHeat, getHeading, getHeight, getInteractiveEventListener, getName, getNumRounds, getOthers, getPaintEventListener, getRadarHeading, getRobotRunnable, getRoundNum, getTime, getVelocity, getWidth, getX, getY, onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragged, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onMouseWheelMoved, onPaint, onRobotDeath, onScannedRobot, onStatus, onWin, resume, run, scan, setAdjustGunForRobotTurn, setAdjustRadarForGunTurn, setAdjustRadarForRobotTurn, setAllColors, setBodyColor, setBulletColor, setColors, setColors, setGunColor, setRadarColor, setScanColor, stop, stop, turnGunLeft, turnGunRight, turnLeft, turnRadarLeft, turnRadarRight, turnRight`

Methods inherited from class robocode._Robot
`getBattleNum, getGunCharge, getGunImageName, getLife, getNumBattles, getRadarImageName, getRobotImageName, setGunImageName, setInterruptible, setRadarImageName, setRobotImageName`

Methods inherited from class robocode._RobotBase
`setOut, setPeer`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface robocode.robotinterfaces.IBasicRobot
`setOut, setPeer`

Methods inherited from interface robocode.robotinterfaces.IBasicRobot
`setOut, setPeer`

Constructor Detail

### _AdvancedRobot

    protected _AdvancedRobot()

Method Detail

### setTurnGunLeftDegrees

    @Deprecated
    public void setTurnGunLeftDegrees(double degrees)

  Deprecated. Use `setTurnGunLeft` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's gun to the left. If `degrees` > 0 the robot's gun is set to turn left. If `degrees` < 0 the robot's gun is set to turn right. If `degrees` = 0 the robot's gun is set to stop turning.

### setTurnGunRightDegrees

    @Deprecated
    public void setTurnGunRightDegrees(double degrees)

  Deprecated. Use `setTurnGunRight` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's gun to the right. If `degrees` > 0 the robot's gun is set to turn right. If `degrees` < 0 the robot's gun is set to turn left. If `degrees` = 0 the robot's gun is set to stop turning.

### turnRadarRightDegrees

    @Deprecated
    public void turnRadarRightDegrees(double degrees)

  Deprecated. Use `turnRadarRight` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's radar to the right. If `degrees` > 0 the robot's radar will turn right. If `degrees` < 0 the robot's radar will turn left. If `degrees` = 0 the robot's radar will not turn, but execute.

### setTurnRightDegrees

    @Deprecated
    public void setTurnRightDegrees(double degrees)

  Deprecated. Use `setTurnRight(double)` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's body to the right. If `degrees` > 0 the robot is set to turn right. If `degrees` < 0 the robot is set to turn left. If `degrees` = 0 the robot is set to stop turning.

### setTurnRadarLeftDegrees

    @Deprecated
    public void setTurnRadarLeftDegrees(double degrees)

  Deprecated. Use `setTurnRadarLeft(double)` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's radar to the left. If `degrees` > 0 the robot's radar is set to turn left. If `degrees` < 0 the robot's radar is set to turn right. If `degrees` = 0 the robot's radar is set to stop turning.

### setTurnLeftDegrees

    @Deprecated
    public void setTurnLeftDegrees(double degrees)

  Deprecated. Use `setTurnLeft(double)` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's body to the left. If `degrees` > 0 the robot is set to turn left. If `degrees` < 0 the robot is set to turn right. If `degrees` = 0 the robot is set to stop turning.

### getHeadingDegrees

    @Deprecated
    public double getHeadingDegrees()

  Deprecated. Use `getHeading()` instead.

  Returns:
    the direction that the robot's body is facing, in degrees.

### turnLeftDegrees

    @Deprecated
    public void turnLeftDegrees(double degrees)

  Deprecated. Use `turnLeft(double)` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's body to the left. If `degrees` > 0 the robot will turn left. If `degrees` < 0 the robot will turn right. If `degrees` = 0 the robot will not turn, but execute.

### turnRightDegrees

    @Deprecated
    public void turnRightDegrees(double degrees)

  Deprecated. Use `turnRight(double)` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's body to the right. If `degrees` > 0 the robot will turn right. If `degrees` < 0 the robot will turn left. If `degrees` = 0 the robot will not turn, but execute.

### endTurn

    @Deprecated
    public void endTurn()

  Deprecated. Use `execute` instead.

### getGunHeadingDegrees

    @Deprecated
    public double getGunHeadingDegrees()

  Deprecated. Use `getGunHeading()` instead.

  Returns:
    the direction that the robot's gun is facing, in degrees.

### getRadarHeadingDegrees

    @Deprecated
    public double getRadarHeadingDegrees()

  Deprecated. Use `getRadarHeading()` instead.

  Returns:
    the direction that the robot's radar is facing, in degrees.

### getWaitCount

    @Deprecated
    public int getWaitCount()

  Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.

  Returns:
    allways `0` as this method is no longer functional.

### setTurnRadarRightDegrees

    @Deprecated
    public void setTurnRadarRightDegrees(double degrees)

  Deprecated. Use `setTurnRadarRight` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's radar to the right. If `degrees` > 0 the robot's radar is set to turn right. If `degrees` < 0 the robot's radar is set to turn left. If `degrees` = 0 the robot's radar is set to stop turning.

### turnGunLeftDegrees

    @Deprecated
    public void turnGunLeftDegrees(double degrees)

  Deprecated. Use `turnGunLeft` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's gun to the left. If `degrees` > 0 the robot's gun will turn left. If `degrees` < 0 the robot's gun will turn right. If `degrees` = 0 the robot's gun will not turn, but execute.

### turnGunRightDegrees

    @Deprecated
    public void turnGunRightDegrees(double degrees)

  Deprecated. Use `turnGunRight` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's gun to the right. If `degrees` > 0 the robot's gun will turn right. If `degrees` < 0 the robot's gun will turn left. If `degrees` = 0 the robot's gun will not turn, but execute.

### turnRadarLeftDegrees

    @Deprecated
    public void turnRadarLeftDegrees(double degrees)

  Deprecated. Use `turnRadarLeft` instead.

  Parameters:
    `degrees` - the amount of degrees to turn the robot's radar to the left. If `degrees` > 0 the robot's radar will turn left. If `degrees` < 0 the robot's radar will turn right. If `degrees` = 0 the robot's radar will not turn, but execute.

### getMaxWaitCount

    @Deprecated
    public int getMaxWaitCount()

  Deprecated. This method is no longer functional. Use `AdvancedRobot.onSkippedTurn(SkippedTurnEvent)` instead.

  Returns:
    allways `0` as this method is no longer functional.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD